#include "ndexcbutils.h"
#include <cstring>
#include "xcb/xcb.h"
namespace Nde {

bool setEnableBlurWindow(const uint32_t Wid, bool enable)
{
    const char * name = QT_STRINGIFY(_KDE_NET_WM_BLUR_BEHIND_REGION);
    xcb_intern_atom_cookie_t cookie = xcb_intern_atom(QX11Info::connection(), false, strlen(name), name);
    xcb_intern_atom_reply_t *reply = xcb_intern_atom_reply(QX11Info::connection(), cookie, nullptr);
    if (!reply)
        return XCB_NONE;
    xcb_atom_t atom = reply->atom;
    free(reply);
    if (enable) {
        quint32 value = enable;
        xcb_connection_t* conn = QX11Info::connection();
        xcb_change_property(conn, XCB_PROP_MODE_REPLACE, Wid, atom, XCB_ATOM_CARDINAL, sizeof(quint32) * 8, 1, &value);
        xcb_flush(conn);
    } else {
        xcb_delete_property_checked(QX11Info::connection(), Wid, atom);
    }

    return true;
}

}
